package com.baoshi.swms.bean;

import java.io.Serializable;

/**
 * 拣货单子任务
 *
 * @author Zhendong Zhou
 * @date 2021/12/20 15:00
 */
public class PickingItem implements Serializable {
    private static final long serialVersionUID = 1315L;

    private Integer id;
    private Long detailId;
    private String location;
    private String way;
    private String barcode;
    private String barcodeAs;
    private Integer anticipatedQuantity;
    private Integer realQuantity;
    private String pickingTime;

    public Integer getRealQuantity() {
        return realQuantity;
    }

    public void setRealQuantity(Integer realQuantity) {
        this.realQuantity = realQuantity;
    }

    public Integer getAnticipatedQuantity() {
        return anticipatedQuantity;
    }

    public void setAnticipatedQuantity(Integer anticipatedQuantity) {
        this.anticipatedQuantity = anticipatedQuantity;
    }

    public String getBarcodeAs() {
        return barcodeAs;
    }

    public void setBarcodeAs(String barcodeAs) {
        this.barcodeAs = barcodeAs;
    }

    public String getBarcode() {
        return barcode;
    }

    public void setBarcode(String barcode) {
        this.barcode = barcode;
    }

    public String getWay() {
        return way;
    }

    public void setWay(String way) {
        this.way = way;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public Long getDetailId() {
        return detailId;
    }

    public void setDetailId(Long detailId) {
        this.detailId = detailId;
    }

    public String getPickingTime() {
        return pickingTime;
    }

    public void setPickingTime(String pickingTime) {
        this.pickingTime = pickingTime;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
}
